# This is a class prototype, for similar reasons C uses function
# prototypes.
class Person < DBBackedClass
end

class Phone < DBBackedClass
	# This says that instances of this class may be cached.  Note that
	# fetchAll implies refetching as does any time this class is
	# accessed through a backref accessor.
	hashed_cached

        # For attributes stored in this table.
	# method name, field name, datatype, writeable?
	# nil datatype => String
        hashed_attr :record_id, DBBackedClass.primary_key_name, 'i', false
        hashed_attr :number, 'number', nil, true

        # For atttributes which are in other tables with keys to them in
        # this table.
        # method name, field name, class type, writeable?
        hashed_ref :person, 'people_id', Person, false
end

class Person < DBBackedClass
        hashed_attr :record_id, DBBackedClass.primary_key_name, 'i', false
        hashed_attr :prefix, 'prefix', nil, true
        hashed_attr :last_name, 'last_name', nil, true
        hashed_attr :first_name, 'first_name', nil, true
        hashed_attr :middle_initial, 'middle_initial', nil, true
        hashed_attr :suffix, 'suffix', nil, true
        hashed_attr :email, 'email', nil, true
        hashed_attr :url, 'url', nil, true
        hashed_attr :note, 'note', nil, true

	# This will return an array of all Phone objects that indicate
	# (via their people_id field) that they belong to this Person.
	# method name, field_name, class, writeable array?
        hashed_backref :phones, 'people_id', Phone, true

        def name
		arr=[]
		arr << first_name if first_name != nil
		arr << middle_initial if middle_initial != nil
		arr << last_name if last_name != nil
		arr << suffix if suffix != nil

		arr.join(' ')
        end
end
