USE mysql;

CREATE DATABASE IF NOT EXISTS db_backed_sample;

DELETE FROM user WHERE user='db_backed_user';
INSERT INTO user (host,user,password)
           VALUES ('localhost','db_backed_user',password('change me'));

DELETE FROM db WHERE user='db_backed_user';
INSERT INTO db 
(host, db, user, select_priv, insert_priv, update_priv, delete_priv, index_priv)
VALUES ('localhost','db_backed_sample','db_backed_user','Y','Y','Y','Y','Y');

FLUSH PRIVILEGES;

USE db_backed_sample;

DROP TABLE IF EXISTS Person;
DROP TABLE IF EXISTS Phone;

CREATE TABLE Person (
  record_id INT AUTO_INCREMENT,
  prefix varchar(5) default NULL,
  last_name varchar(50) default NULL,
  first_name varchar(50) default NULL,
  middle_initial varchar(5) default NULL,
  suffix varchar(5) default NULL,
  email varchar(50) default NULL, 
  url varchar(50) default NULL,
  note mediumtext,
  primary key (record_id)
) TYPE=MyISAM;

CREATE TABLE Phone (
  record_id INT AUTO_INCREMENT,
  people_id INT default NULL,
  number varchar(30) default NULL,
  primary key (record_id)
) TYPE=MyISAM;

INSERT INTO Person
       (record_id,first_name,last_name,note)
VALUES (1, 'Default', 'Person', 'Default person from sample-tables.sql');

INSERT INTO Phone
       (record_id,people_id,number)
VALUES (1,1,'1-800-YAY-RUBY');
